GROUPMOD(8)

NOM
groupmod - Modifier la définition d'un groupe du système

SYNOPSIS

groupmod [options] GROUPE

DESCRIPTION

La commande groupmod modifie la définition du GROUPE spécifié en modifiant l'entrée correspondante de la base de données des groupes.

OPTIONS

Les options disponibles pour la commande groupmod sont :

-g, --gid GID
    L'identifiant numérique du groupe GROUPE sera modifié vers GID.

    La valeur de GID doit être un nombre décimal positif. Cette valeur doit être unique, à moins que l'option -o ne soit utilisée.

    Les utilisateurs qui utilisent ce groupe comme groupe primaire seront mis à jour pour garder le groupe comme groupe primaire.

    Vous devrez modifier vous-même l'identifiant de groupe des fichiers ayant l'ancien identifiant de groupe qui doivent continuer à appartenir au GROUPE.

    Aucun contrôle ne sera effectué sur les valeurs de GID_MIN, GID_MAX, SYS_GID_MIN, ou SYS_GID_MAX du fichier /etc/login.defs.

-h, --help
    Afficher un message d'aide et quitter.

-n, --new-name NOUVEAU_NOM_GROUPE
    Le nom du groupe sera modifié de GROUPE vers NOUVEAU_NOM_GROUPE.

-o, --non-unique
    En combinaison avec l'option -g, cette option permet de changer l'identifiant du groupe (GID) vers une valeur déjà utilisée.

-p, --password MOT_DE_PASSE
    Mot de passe chiffré, comme renvoyé par crypt(3).

    Remarque : l'utilisation de cette option est déconseillée car le mot de passe (ou le mot de passe chiffré) peut être visible des utilisateurs qui affichent la liste des processus.

    Il est nécessaire de vérifier si le mot de passe respecte la politique de mots de passe du système.

-R, --root RÉP_CHROOT
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

-P, --prefix PREFIX_DIR
    Apply changes in the PREFIX_DIR directory and use the configuration files from the PREFIX_DIR directory. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

CONFIGURATION

Les variables de configuration suivantes dans /etc/login.defs modifient le comportement de cet outil :

MAX_MEMBERS_PER_GROUP (nombre)
    Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de configurer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

/etc/passwd
    Informations sur les comptes des utilisateurs.

VALEURS DE RETOUR

La commande groupmod retourne les valeurs suivantes en quittant :

0
    E_SUCCESS: success

2
    E_USAGE: invalid command syntax

3
    E_BAD_ARG: invalid argument to option

4
    E_GID_IN_USE: specified group doesn't exist

6
    E_NOTFOUND: specified group doesn't exist

9
    E_NAME_IN_USE: group name already in use

10
    E_GRP_UPDATE: can't update group file

11
    E_CLEANUP_SERVICE: can't setup cleanup service

12
    E_PAM_USERNAME: can't determine your username for use with pam

13
    E_PAM_ERROR: pam returned an error, see syslog facility id groupmod for the PAM error message

VOIR AUSSI

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), login.defs(5), useradd(8), userdel(8), usermod(8).